Subject: Re: [http-state] Closing Ticket 3: Public Suffixes

From: Adam Barth <[email-masked]>
Date: Mon, 1 Feb 2010 22:41:39 -0800

On Sat, Jan 30, 2010 at 1:50 PM, Ian Hickson <[email-masked]> wrote:
> On Sat, 30 Jan 2010, Anne van Kesteren wrote:
>> On Fri, 22 Jan 2010 01:09:41 +0100, Adam Barth <[email-masked]> wrote:
>> > I've pushed a new version of the draft that includes this change:
>> >
>> > http://www.ietf.org/id/draft-ietf-httpstate-cookie-02.txt
>> >
>> > We can re-open the issue if someone presents material new information.
>>
>> You seem to be including a non-normative part of the specification with
>> normative language in it. (I.e. the SHOULD in the NOTE.) That seems
>> wrong. Using "strongly encouraged" or some such is probably better.
>
> Actually right now the draft doesn't reference 2119, so it's not clear
> what the conformance criteria are. I would recommend adding a "Conformance
> Criteria" section that lists the conformance classes and the conventions
> used for specifying conformance criteria. HTML5 has a pretty thorough such
> section which can be used for inspiration:
>
>   http://www.whatwg.org/specs/web-apps/current-work/multipage/infrastructure.html#conformance-requirements

I've added some text that's a hybrid of the HTML5 conformance criteria
and the HTTPbis requirements.

Adam